package com.xkrs.dao;

import com.xkrs.model.entity.AgentCompanyEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface AgentCompanyDao extends JpaRepository<AgentCompanyEntity, Long>, JpaSpecificationExecutor<AgentCompanyEntity> {

    @Query(value = "SELECT * FROM agent_company WHERE company_name = ?1 LIMIT 1", nativeQuery = true)
    AgentCompanyEntity selectCompanyNameEquals(String companyName);

    @Query(value = "SELECT * FROM agent_company WHERE company_name != ?1", nativeQuery = true)
    List<AgentCompanyEntity> selectCompanyNameNotEquals(String companyName);

}
