package com.xkrs.model.entity;

import javax.persistence.*;
import java.io.Serializable;

@Entity
@Table(name = "agent_company")
public class AgentCompanyEntity implements Serializable {

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "agent_company_seq_gen")
    @SequenceGenerator(name = "agent_company_seq_gen", sequenceName = "agent_company_id_seq", allocationSize = 1)
    private Long id;

    /**
     * 公司名称
     */
    @Column(length = 128, columnDefinition = "varchar(128)")
    private String companyName;

    /**
     * 省市区编码
     */
    @Column(length = 128, columnDefinition = "varchar(128)")
    private String countyCode;

    /**
     * 签约截止日期
     */
    @Column(length = 128, columnDefinition = "varchar(128)")
    private String signDeadLine;

    /**
     * 密钥ID
     */
    @Column(length = 128, columnDefinition = "varchar(128)")
    private String secretId;

    /**
     * 密钥KEY
     */
    @Column(length = 128, columnDefinition = "varchar(128)")
    private String secretKey;

    /**
     * APPID
     */
    @Column(length = 128, columnDefinition = "varchar(128)")
    private String appId;

    /**
     * 签名信息
     */
    @Column(length = 128, columnDefinition = "varchar(128)")
    private String sign;

    /**
     * 短信模板ID
     */
    @Column(length = 128, columnDefinition = "varchar(128)")
    private String templateId;

    public AgentCompanyEntity() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getCountyCode() {
        return countyCode;
    }

    public void setCountyCode(String countyCode) {
        this.countyCode = countyCode;
    }

    public String getSignDeadLine() {
        return signDeadLine;
    }

    public void setSignDeadLine(String signDeadLine) {
        this.signDeadLine = signDeadLine;
    }

    public String getSecretId() {
        return secretId;
    }

    public void setSecretId(String secretId) {
        this.secretId = secretId;
    }

    public String getSecretKey() {
        return secretKey;
    }

    public void setSecretKey(String secretKey) {
        this.secretKey = secretKey;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    @Override
    public String toString() {
        return "AgentCompanyEntity{" +
                "id=" + id +
                ", companyName='" + companyName + '\'' +
                ", countyCode='" + countyCode + '\'' +
                ", signDeadLine='" + signDeadLine + '\'' +
                ", secretId='" + secretId + '\'' +
                ", secretKey='" + secretKey + '\'' +
                ", appId='" + appId + '\'' +
                ", sign='" + sign + '\'' +
                ", templateId='" + templateId + '\'' +
                '}';
    }
}
